%define	fontdir		%{_datadir}/fonts/ja/TrueType
%define	fontname	YOzFont
%define	fontname2	YOzFontP

Summary:	Japanese TrueType Fonts
Summary(ja):	Y.OzFont
Name:		YOzFont
Version:	8.20
Release:	b1
License:	Distributable
Group:		User Interface/X
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{PACKAGE_VERSION}-root
Source:		%{name}-%{version}.tar.bz2
URL:		http://yozvox.web.infoseek.co.jp/
BuildRequires:	XFree86-xfs, VFlib2
PreReq:		/usr/sbin/chkfontpath /usr/X11R6/bin/mkfontdir /usr/bin/ttmkfdir

%description
This package provides Japanese TrueType fonts, and includes
ttindex files for VFlib.

%prep
%setup -q

%build
ttindex %{fontname}
ttindex %{fontname2}

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{fontdir}
install -m 0644 *.{ttf,tti} $RPM_BUILD_ROOT%{fontdir}

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
fc-cache
/usr/bin/ttmkfdir -d %{fontdir} -o %{fontdir}/fonts.scale
/usr/X11R6/bin/mkfontdir -e /usr/X11R6/lib/X11/fonts/encodings \
                         -e /usr/X11R6/lib/X11/fonts/encodings\large \
                          %{fontdir}
/usr/sbin/chkfontpath -q -a %{fontdir}
if [ -x /usr/bin/redhat-update-gnome-font-install ]; then
	/usr/bin/redhat-update-gnome-font-install
fi
if [ -x /usr/bin/redhat-update-gnome-font-install2 ]; then
	/usr/bin/redhat-update-gnome-font-install2
fi

%postun
/usr/bin/ttmkfdir -d %{fontdir} -o %{fontdir}/fonts.scale
/usr/X11R6/bin/mkfontdir -e /usr/X11R6/lib/X11/fonts/encodings \
                         -e /usr/X11R6/lib/X11/fonts/encodings\large \
                          %{fontdir}
if [ "$1" = "0" ];
then
	/usr/sbin/chkfontpath -q -r %{fontdir}
	if [ -x /usr/bin/redhat-update-gnome-font-install ]; then
		/usr/bin/redhat-update-gnome-font-install
	fi
	if [ -x /usr/bin/redhat-update-gnome-font-install2 ]; then
		/usr/bin/redhat-update-gnome-font-install2
	fi
fi

%files
%defattr(-,root,root)
#%doc README README.ja COPYRIGHT COPYRIGHT.ja ChangeLog
%{fontdir}/*.ttf
%{fontdir}/*.tti
#%{fontdir}/fonts.scale.%{name}


##
## change log
##

%changelog
* Thu Jan 29 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to 8.20
- Changed this package name to YOZFont from YOZFontK
* Mon Jun 16 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
